<div class="ch-post-container">
    <div class="ch-post-background-trans"></div>
    <div class="ch-post-content">
      <h5 *ngIf="!isEdit">
        <span *ngIf="categorySelected">{{'ADD_POST.ADD_NEW_TO_CATEGORY' | translate}} "{{categorySelected.title}}"</span>
      </h5>
      <h5 *ngIf="isEdit">{{'ADD_POST.EDIT_TITLE' | translate}}</h5>
      <form
        [formGroup]="entryForm"
        (ngSubmit)="onSubmit($event)"
        novalidate>
        <!-- Title -->
        <div class="form-group row"
            [ngClass]="{
              'has-danger': title.invalid && (title.dirty || title.touched),
              'has-success': title.valid && (title.dirty || title.touched)
            }"
        >
          <label for="titlePost" class="col-2 col-form-label">{{'ADD_POST.TITLE' | translate}}</label>
          <div class="col-10">
            <input id="titlePost"
                  class="form-control"
                  [ngClass]="{
                    'form-control-danger': title.invalid,
                    'form-control-success': title.valid
                  }"
                  type="text"
                  placeholder="{{'ADD_POST.TITLE_PLACEHOLDER' | translate}}"
                  formControlName="title">
            <small class="form-control-feedback"
                  *ngIf="(!title.pristine || title.touched) && title.invalid">
                  <div *ngIf="title.errors.required">{{'ADD_POST.TITLE_REQUIRED' | translate}}</div>
                  <div *ngIf="title.errors.minlength">{{'ADD_POST.TITLE_MIN_LENGTH' | translate}}</div>
            </small>
          </div>
        </div> <!-- end Title -->
        <!-- Description -->
        <div class="form-group row"
            [ngClass]="{
              'has-danger': description.invalid && (description.dirty || description.touched),
              'has-success': description.valid && (description.dirty || description.touched)
            }"
        >
          <label for="description" class="col-2 col-form-label">{{'ADD_POST.DESCRIPTION' | translate}}</label>
          <div class="col-10">
            <textarea id="description"
                      class="form-control"
                      [ngClass]="{
                        'form-control-danger': description.invalid,
                        'form-control-success': description.valid
                      }"
                      formControlName="description"
                      ch-autosize
                      placeholder="{{'ADD_POST.DESCRIPTION_PLACEHOLDER' | translate}}"></textarea>
            <small class="form-control-feedback"
                  *ngIf="(!description.pristine || description.touched) && description.invalid">
                  <div *ngIf="description.errors.required">{{'ADD_POST.DESCRIPTION_REQUIRED' | translate}}</div>
                  <div *ngIf="description.errors.minlength">{{'ADD_POST.DESCRIPTION_MIN_LENGTH' | translate}}</div>
            </small>
          </div>
        </div><!-- end Description -->
        <!-- Category -->
        <div class="form-group row"
            *ngIf="categories">
          <label for="category" class="col-2 col-form-label">{{'ADD_POST.CATEGORIES' | translate}}</label>
          <div class="col-10">
            <select class="form-control" id="category" formControlName="category">
              <option *ngFor="let c of categories"
                      [selected]="c._id == category.value._id">{{c.title}}</option>
            </select>
          </div>
        </div><!-- end Category -->
        <!-- Priority -->
        <div class="form-group row">
          <legend class="col-form-legend col-sm-2">{{'ADD_POST.PRIORITY' | translate}}</legend>
          <div class="col-sm-10">
            <div class="form-check priority"
                *ngFor="let priority of priorities; let i = index">
              <label class="form-check-label">
                <input class="form-check-input"
                      type="radio"
                      formControlName="priority"
                      [value]="i"
                      >
                <span [ngClass]="{
                  'important-status': i === 2,
                  'middle-important-status': i === 1,
                  'not-important-status': i === 0
                  }"
                >
                  <div></div>
                  {{priority | translate}}
                </span>
              </label>
            </div>
          </div>
        </div><!-- end Priority -->
        <!-- Status -->
        <div class="form-group row">
          <legend class="col-form-legend col-sm-2">{{'ADD_POST.STATUS' | translate}}</legend>
          <div class="col-sm-10">
            <div class="form-check priority"
                *ngFor="let status of statuses; let i = index">
              <label class="form-check-label">
                <input class="form-check-input"
                      type="radio"
                      formControlName="status"
                      [value]="i"
                      >
                <span >
                  <i class="fa fa-file-o" aria-hidden="true" *ngIf="i === 0"></i>
                  <i class="fa fa-print" aria-hidden="true" *ngIf="i === 1"></i>
                  <i class="fa fa-archive" aria-hidden="true" *ngIf="i === 2"></i>
                  {{status | translate}}
                </span>
              </label>
            </div>
          </div>
        </div><!-- end Status -->
        <!-- Submit button -->
        <div class="form-group row">
          <div class="col-sm-12">
            <button class="btn btn-outline-primary btn-block"
                  type="submit"
                  [disabled]="entryForm.invalid"
                  >{{'ADD_POST.SAVE_BTN' | translate}}</button>
          </div>
        </div><!-- end Submit button -->
      </form>
    </div>
</div>
